searchData={"items":[{"type":"task","title":"mix tectonic","doc":"Invokes tectonic with the given args.\n\nUsage:\n\n    $ mix tectonic TASK_OPTIONS PROFILE TECTONIC_ARGS\n\nExample:\n\n    $ mix tectonic default -X compile --untrusted myfile.tex\n\nIf tectonic is not installed, it is automatically downloaded.\nNote the arguments given to this task will be appended\nto any configured arguments.","ref":"Mix.Tasks.Tectonic.html"},{"type":"task","title":"Options - mix tectonic","doc":"* `--runtime-config` - load the runtime configuration\n    before executing command\n\nNote flags to control this Mix task must be given before the\nprofile:\n\n    $ mix tectonic --runtime-config default","ref":"Mix.Tasks.Tectonic.html#module-options"},{"type":"task","title":"mix tectonic.install","doc":"Installs Tectonic executable.\n\n   $ mix tectonic.install\n   $ mix tectonic.install --if-missing\n\nBy default, it installs 0.15.0 but you\ncan configure it in your config files, such as:\n\n   config :tectonic, :version, \"0.15.0\"","ref":"Mix.Tasks.Tectonic.Install.html"},{"type":"task","title":"Options - mix tectonic.install","doc":"* `--runtime-config` - load the runtime configuration\n     before executing command\n\n   * `--if-missing` - install only if the given version\n     does not exist","ref":"Mix.Tasks.Tectonic.Install.html#module-options"},{"type":"module","title":"Tectonic","doc":"Tectonic is an installer and runner for [tectonic](https://tectonic-typesetting.github.io), a modernized, complete, self-contained\n[TeX](https://en.wikipedia.org/wiki/TeX)/[LaTeX](https://www.latex-project.org/)\nengine, powered by [XeTeX](http://xetex.sourceforge.net/) and\n[TeXLive](https://www.tug.org/texlive/).","ref":"Tectonic.html"},{"type":"module","title":"Profiles - Tectonic","doc":"You can define multiple tectonic profiles. By default, there is a\nprofile called `:default` which you can configure its args, current\ndirectory and environment:\n\n    config :tectonic,\n      version: \"0.15.0\",\n      default: [\n        args: ~w(\n          -X compile\n          --untrusted\n        )\n      ]","ref":"Tectonic.html#module-profiles"},{"type":"module","title":"Tectonic configuration - Tectonic","doc":"There are two global configurations for the tectonic application:\n\n  * `:version` - the expected tectonic version\n\n  * `:version_check` - whether to perform the version check or not.\n    Useful when you manage the tectonic executable with an external\n    tool (e.g. OS package manager)\n\n  * `:cacerts_path` - the directory to find certificates for\n    https connections\n\n  * `:path` - the path to find the tectonic executable at. By\n    default, it is automatically downloaded and placed inside\n    the `_build` directory of your current app\n\nOverriding the `:path` is not recommended, as we will automatically\ndownload and manage `tectonic` for you. But in case you can't download\nit (for example, GitHub behind a proxy), you may want to\nset the `:path` to a configurable system location.\n\nOnce you find the location of the executable, you can store it in a\n`MIX_TECTONIC_PATH` environment variable, which you can then read in\nyour configuration file:\n\n    config :tectonic, path: System.get_env(\"MIX_TECTONIC_PATH\")","ref":"Tectonic.html#module-tectonic-configuration"},{"type":"function","title":"Tectonic.bin_path/0","doc":"Returns the path to the executable.\n\nThe executable may not be available if it was not yet installed.","ref":"Tectonic.html#bin_path/0"},{"type":"function","title":"Tectonic.bin_version/0","doc":"Returns the version of the tectonic executable.\n\nReturns `{:ok, version_string}` on success or `:error` when the executable\nis not available.","ref":"Tectonic.html#bin_version/0"},{"type":"function","title":"Tectonic.config_for!/1","doc":"Returns the configuration for the given profile.\n\nReturns nil if the profile does not exist.","ref":"Tectonic.html#config_for!/1"},{"type":"function","title":"Tectonic.configured_version/0","doc":"Returns the configured tectonic version.","ref":"Tectonic.html#configured_version/0"},{"type":"function","title":"Tectonic.default_base_url/0","doc":"The default URL to install Tectonic from.","ref":"Tectonic.html#default_base_url/0"},{"type":"function","title":"Tectonic.install/1","doc":"Installs tectonic with `configured_version/0`.","ref":"Tectonic.html#install/1"},{"type":"function","title":"Tectonic.install_and_run/2","doc":"Installs, if not available, and then runs `tectonic`.\n\nReturns the same as `run/2`.","ref":"Tectonic.html#install_and_run/2"},{"type":"function","title":"Tectonic.run/2","doc":"Runs the given command with `args`.\n\nThe given args will be appended to the configured args.\nThe task output will be streamed directly to stdio. It\nreturns the status of the underlying call.","ref":"Tectonic.html#run/2"},{"type":"extras","title":"Change Log","doc":"# Change Log\n\nAll notable changes to this project will be documented in this file.\nSee [Conventional Commits](Https://conventionalcommits.org) for commit guidelines.\n\n<!-- changelog -->\n\n## [v0.1.1](https://github.com/frankdugan3/tectonic/compare/v0.1.1...v0.1.1) (2024-10-24)","ref":"changelog.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}